Package ghidra.app.events

# Class ProgramSelectionPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ProgramSelectionPluginEvent

public final class ProgramSelectionPluginEvent extends PluginEvent
Plugin event generated when the selection in a program changes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  The name of this plugin event.

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgramSelectionPluginEvent(String src, ProgramSelection sel, Program program)`
  Construct a new plugin event

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDetails()`
  `Program`
  `getProgram()`
  Returns the Program object that the selection refers to.
  `ProgramSelection`
  `getSelection()`
  Returns the program selection contained in this event.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    The name of this plugin event.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProgramSelectionPluginEvent

    public ProgramSelectionPluginEvent(String src, ProgramSelection sel, Program program)
    Construct a new plugin event
    Parameters:
      `src` - the name of the plugin that generated this event
      `sel` - the program selection
      `program` - the program associated with this event

- ## Method Details

  - ### getSelection

    public ProgramSelection getSelection()
    Returns the program selection contained in this event.
    Returns:
      ProgramSelection the program selection in this event.

  - ### getProgram

    public Program getProgram()
    Returns the Program object that the selection refers to.

  - ### getDetails

    protected String getDetails()
    Overrides:
      `getDetails` in class `PluginEvent`